import { createJobName } from "./createJobName.js";
import { formatWorkflowYaml } from "./formatWorkflowYaml.js";
function createMultiWorkflowFile({
  jobs,
  name
}) {
  return formatWorkflowYaml({
    jobs: Object.fromEntries(
      jobs.map((job) => [
        createJobName(job.name),
        {
          if: job.if,
          name: job.name,
          "runs-on": "ubuntu-latest",
          steps: [
            { uses: "actions/checkout@v4", with: job.checkoutWith },
            { uses: "./.github/actions/prepare" },
            ...job.steps
          ]
        }
      ])
    ),
    name,
    on: {
      pull_request: null,
      push: {
        branches: ["main"]
      }
    }
  });
}
export {
  createMultiWorkflowFile
};
